Bug 23993 - Can't call method "notforloan" on an undefined value at C4/Reserves.pm line 1177.
Summary: Can't call method "notforloan" on an undefined value at C4/Reserves.pm line 1...
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-08 09:05 UTC by Marcel de Rooy
Modified: 2020-11-30 21:44 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 23993: Add check if itemtype exists in IsAvailableForItemLevelRequest (1.16 KB, patch)
2019-11-08 09:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 23993: Add check if itemtype exists in IsAvailableForItemLevelRequest (1.17 KB, patch)
2019-11-08 21:33 UTC, Bouzid Fergani
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2019-11-08 09:05:07 UTC
Imported an unknown item type.
Tried to place a hold.
Can't call method "notforloan" on an undefined value at /usr/share/koha/C4/Reserves.pm line 1177.
Comment 1 Marcel de Rooy 2019-11-08 09:18:56 UTC
Created attachment 95186 [details] [review]
Bug 23993: Add check if itemtype exists in IsAvailableForItemLevelRequest

Trivial change

Test plan:
Run Reserves.t
Import book with unknown item type, try to place hold (with/without patch)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2019-11-08 09:19:36 UTC
Trivial fix, self signoff
Comment 3 Bouzid Fergani 2019-11-08 21:33:33 UTC
Created attachment 95243 [details] [review]
Bug 23993: Add check if itemtype exists in IsAvailableForItemLevelRequest

Trivial change

Test plan:
Run Reserves.t
Import book with unknown item type, try to place hold (with/without patch)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Comment 4 Jonathan Druart 2019-11-13 12:24:34 UTC
See bug 21842 comment 12.